#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20240629.sql ./mysql/db
cp ../sql/ry_config_20240902.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../shopgoods-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy shopgoods-gateway "
cp ../shopgoods-gateway/target/shopgoods-gateway.jar ./shopgoods/gateway/jar

echo "begin copy shopgoods-auth "
cp ../shopgoods-auth/target/shopgoods-auth.jar ./shopgoods/auth/jar

echo "begin copy shopgoods-visual "
cp ../shopgoods-visual/shopgoods-monitor/target/shopgoods-visual-monitor.jar  ./shopgoods/visual/monitor/jar

echo "begin copy shopgoods-modules-system "
cp ../shopgoods-modules/shopgoods-system/target/shopgoods-modules-system.jar ./shopgoods/modules/system/jar

echo "begin copy shopgoods-modules-file "
cp ../shopgoods-modules/shopgoods-file/target/shopgoods-modules-file.jar ./shopgoods/modules/file/jar

echo "begin copy shopgoods-modules-job "
cp ../shopgoods-modules/shopgoods-job/target/shopgoods-modules-job.jar ./shopgoods/modules/job/jar

echo "begin copy shopgoods-modules-gen "
cp ../shopgoods-modules/shopgoods-gen/target/shopgoods-modules-gen.jar ./shopgoods/modules/gen/jar

